Subject: Re: bug#38187: 27.0.50; No mouse-wheel scaling on images

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Nov 2019 09:47:15 +0200

> From: Juri Linkov <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  [email-masked],  [email-masked],
>   [email-masked]
> Date: Fri, 22 Nov 2019 00:51:22 +0200
> 
> > Emacs probably keeps a copy of the image in memory for each size until
> > the image cache is cleared or pruned.
> 
> Could it clear the image cache automatically when it grows
> over some memory limit?

How would you do that without knowing what each image is used for and
whether it is still on display?

I don't think we can make the image cache smarter about eviction
without adding more information about each cached image.  So it isn't
just about tuning the current constants or counting the bytes.